> ## Documentation Index
> Fetch the complete documentation index at: https://docs.3ngram.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Distinct scope and project values for the tenant (filter population)



## OpenAPI

````yaml /api-reference/openapi.json get /api/v1/memories/facets
openapi: 3.1.0
info:
  description: >-
    The /api/v1 REST mirror of the 3ngram memory core
    (docs/concepts/architecture.mdx: one core, N transports). Authenticate with
    an X-API-Key header or a session Bearer token.
  title: 3ngram REST API
  version: v1
servers:
  - description: 3ngram platform
    url: https://api.3ngram.ai
security:
  - apiKey: []
  - sessionBearer: []
paths:
  /api/v1/memories/facets:
    get:
      summary: Distinct scope and project values for the tenant (filter population)
      operationId: getMemoryFacets
      responses:
        '200':
          content:
            application/json:
              schema:
                additionalProperties: false
                properties:
                  projects:
                    items:
                      maxLength: 256
                      minLength: 1
                      type: string
                    type: array
                  scopes:
                    items:
                      maxLength: 64
                      minLength: 1
                      pattern: ^[a-z0-9][a-z0-9-]*$
                      type: string
                    type: array
                required:
                  - scopes
                  - projects
                type: object
          description: Success
components:
  securitySchemes:
    apiKey:
      in: header
      name: X-API-Key
      type: apiKey
    sessionBearer:
      scheme: bearer
      type: http

````